Skip to main content
GET
/
v1
/
log-drains
List log drains
curl --request GET \
  --url https://api.strait.dev/v1/log-drains \
  --header 'Authorization: Bearer <token>'
[
  {
    "auth_type": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "drain_type": "<string>",
    "enabled": true,
    "endpoint_url": "<string>",
    "id": "<string>",
    "name": "<string>",
    "project_id": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "$schema": "<string>",
    "auth_config": {},
    "level_filter": [
      "<string>"
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Response

object[] | null

OK

auth_type
string
required
created_at
string<date-time>
required
drain_type
string
required
enabled
boolean
required
endpoint_url
string
required
id
string
required
name
string
required
project_id
string
required
updated_at
string<date-time>
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/LogDrain.json"

auth_config
object
level_filter
string[] | null